%define base_ver 0.7.5
#define svn_version svn2097

Name: gnome-globalmenu
Version: %base_ver
Release: alt1
Summary: Global Menu for GNOME

Group: Graphical desktop/GNOME
License: %gpl2plus and %lgpl2plus
Url: http://code.google.com/p/gnome2-globalmenu/

Packager: Alexey Rusakov <ktirf@altlinux.org>

Source: http://gnome2-globalmenu.googlecode.com/files/%name-%base_ver.tar.bz2

BuildPreReq: rpm-build-licenses rpm-build-gnome

# From configure.ac
BuildPreReq: GConf2 libGConf-devel
BuildPreReq: intltool gettext-tools
BuildPreReq: vala >= 0.5.6
BuildPreReq: glib2-devel >= 2.10.0
BuildPreReq: libgtk+2-devel >= 2.10.0
BuildPreReq: libwnck-devel >= 2.16.0
BuildPreReq: libgnome-panel-devel >= 2.16.0
BuildPreReq: libgnome-menus-devel >= 2.16.0
BuildPreReq: libnotify-devel >= 0.4.0
BuildPreReq: libX11-devel >= 1.1.0
BuildPreReq: xfce4-panel-devel >= 4.4.3

%description
GNOME Global Menu is a centralized menu bar for all windows on a particular 
screen/session. This package extends GTK and gnome panel so that Global Menu 
can be enabled on all GTK applications.
This package contains shared data and libraries of various Global Menu 
packages. 
The Gtk Plugin Module of Global Menu adds global menu feature to any GTK 
applications on the fly without the need of modifying the source code.
gnome-applet-globalmenu or xfce-globalmenu-plugin should also be installed
depending on the desktop environment.

%package devel
Summary: Header files for writing Global Menu applets
Group: Development/GNOME and GTK+
Requires: gnome-globalmenu = %version-%release

%description devel
This package contains development files for writing Global Menu applets.

%package -n gnome-applets-extra-globalmenu
Summary: GNOME panel applet of Global Menu
Group: Graphical desktop/GNOME
Requires: gnome-panel
Requires: %name = %version-%release

%description -n gnome-applets-extra-globalmenu
The GNOME panel applet of Global Menu is a representation of Global Menu with GTK widgets. The applet can be inserted to the default top panel to provide access to the Global Menu of the applications.
The applet also provides limited window management functionalities.
Please refer to %_docdir/%name-%version/README.GNOME 
for post-installation configurations.

%package -n xfce4-globalmenu-plugin
Summary: XFCE panel applet of Global Menu
Group: Graphical desktop/GNOME
Requires: xfce4-panel
Requires: %name = %version-%release

%description -n xfce4-globalmenu-plugin
The XFCE panel applet of Global Menu is a representation of Global Menu with GTK widgets. The applet can be inserted to the default top panel to provide access to the Global Menu of the applications.
Please refer to %_docdir/%name-%version/README.XFCE 
for post installation configuations.

%prep
%setup -q -n %name-%base_ver
# Remove unneeded doc files copying
#__subst '/doc_DATA/d' Makefile.am

%build
%configure \
    --disable-schemas-install --disable-static \
    --enable-tests \
    --with-gnome-panel \
    --with-xfce4-panel \

%make_build

%install
%makeinstall_std
%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%files -f %name.lang
%_libdir/libgnomenu*.so.*
%_libdir/gtk-2.0/modules/libglobalmenu-gnome.so
%_libdir/gtk-2.0/modules/libglobalmenu-gnome-%base_ver.so
%gconf_schemasdir/%name.schemas
%_pixmapsdir/globalmenu.png
%_man1dir/%name.1*
%doc AUTHORS COPYING README*

%files devel
%dir %_includedir/libgnomenu
%_includedir/libgnomenu/*.h
%_pkgconfigdir/libgnomenu.pc
%_libdir/libgnomenu.so

%files -n gnome-applets-extra-globalmenu
%bonobo_serversdir/GlobalMenu_PanelApplet.server
%_libexecdir/GlobalMenu.PanelApplet

%files -n xfce4-globalmenu-plugin
%_datadir/xfce4/panel-plugins/GlobalMenu_XFCEPlugin.desktop
%_libexecdir/xfce4/panel-plugins/GlobalMenu.XFCEPlugin
%_pixmapsdir/globalmenu-xfce.png

%exclude %_libdir/gtk-2.0/modules/libglobalmenu-gnome.la

%changelog
* Tue Apr 28 2009 Alexey Rusakov <ktirf@altlinux.org> 0.7.5-alt1
- Thanks to Feng Yu <rainwoodman@gmail.com> for the original Fedora
  specfile and rpmcs utility for fixing the specfile up for ALT.
- Initial Sisyphus package.

# vim:ts=4:sw=4

